{footer_script}
{literal}
function ecard_checkField(element, elementType) {
	var NUMBER = 0;
	
	switch (elementType) {
		case NUMBER:
			if (element.value == '') {
				document.getElementById(element.id+'_error').style.display = 'inline';
				element.className += " ecard_admin_error_input";
				return false;
			} else {
				if(parseFloat(element.value) % 1 == 0){
					return true;
				} else {
					document.getElementById(element.id+'_error').style.display = 'inline';
					element.className += " ecard_admin_error_input";
					return false;
				}
			}
			break;
		default:
			return false;
			break;
	}
}

function ecard_checkForm(form) {
	var nbPageOK = ecard_checkField(form.ecard_nb_ecard_page, 0);
	
	if(nbPageOK)
		return true;
	else
		return false;
}
{/literal}
{/footer_script}

<div class="titrePage">
	<h2>{'piwecard_plugin'|@translate}</h2>
</div>
<div id="ECardAdminManagement">
	{if count($ecard_file)}
		<fieldset>
			<legend>{'piwecard_list'|@translate}</legend>
			<div class="ecard_last_line">
				{$nb_ecard_valid_total}
			</div>
		</fieldset>
		<fieldset>
			<legend>{'Filter'|@translate}</legend>
			<form method="post" id="ecard_nb_ecard_page_form" onsubmit="return ecard_checkForm(this);">
				<span><label for="ecard_nb_ecard_page">{'piwecard_nb_ecard_page'|@translate}</label></span>
				<span><input type="text" maxlength="3" size="3" name="ecard_nb_ecard_page" id="ecard_nb_ecard_page" value="{$ecard_nb_ecard_page}" /></span>
				<span><input type="submit" name="nb_ecard_page_submit" value="{'Submit'|@translate}" /></span>
				<span class="ecard_admin_error" id="ecard_nb_ecard_page_error">{'piwecard_error'|@translate} {'piwecard_error_number'|@translate}</span>
			</form>
		</fieldset>
		<form method="post" id="delete_selected_form">
			<table class="table2" width="97%">
				<thead>
					<tr class="throw">
						<td>&nbsp;</td>
						<td>{'Title'|@translate}</td>
						<td>{'Date'|@translate}</td>
						<td>{'piwecard_sender_name'|@translate}</td>
						<td>{'piwecard_recipient_name'|@translate}</td>
						<td>{'piwecard_validity'|@translate}</td>
					</tr>
				</thead>
				<tbody>
					{foreach from=$ecard_file item=ecard_file name=foreach_ecard_file}
						{if $smarty.foreach.foreach_ecard_file.iteration is even}
							<tr class="row1">
						{else}	
							<tr class="row2">
						{/if}
							<td>
								<input type="checkbox" name="ecard_to_delete[]" value="{$ecard_file.id}">
							</td>
							<td>
								{$ecard_file.date_creation}
							</td>
							<td>
								<a href="{$ecard_file.url}">{$ecard_file.title}</a>
							</td>
							<td>
								{$ecard_file.sender_name} ({$ecard_file.sender_email})
							</td>
							<td>
								{$ecard_file.recipient_name} ({$ecard_file.recipient_email}) 
							</td>
							<td>
								{$ecard_file.date_validity}
								{if $ecard_file.valid}
									<img src="{$themeconf.admin_icon_dir}/validate_s.png" alt="{'piwecard_valid'|@translate}"/>
								{else}
									<img src="{$themeconf.admin_icon_dir}/delete.png" alt="{'piwecard_invalid'|@translate}" height="16px"/>
								{/if}
							</td>
						</tr>
					{/foreach}
				</tbody>
			</table>
			<fieldset>
				<legend>{'piwecard_delete_selected'|@translate}</legend>
				<div class="ecard_line">
					<span><input type="checkbox" name="ecard_delete_invalid" id="ecard_delete_invalid" value="1"></span>
					<span><label for="ecard_delete_invalid">{'piwecard_delete_all_invalid'|@translate}</label></span>
				</div>
				<div class="ecard_last_line">
					<span><input type="checkbox" name="ecard_to_delete_sure" id="ecard_to_delete_sure" value="1"></span>
					<span><label for="ecard_to_delete_sure">{'Are you sure?'|@translate}</label></span>
					<span><input type="submit" name="delete_selected_submit" value="{'piwecard_delete'|@translate}" /></span>
				</div>
			</fieldset>
		</form>
	{else}
		<fieldset>
			<div class="ecard_no_ecard">
				{'piwecard_no_ecard'|@translate}
			</div>
		</fieldset>
	{/if}
</div>
{if !empty($navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}